PACTREE(8)

BEZEICHNUNG
pactree - Paketabhängigkeiten in einer Baumansicht betrachten

ÜBERSICHT

pactree [Optionen] <Paket>

BESCHREIBUNG

pactree erstellt einen Abhängigkeitsbaum für ein Paket.

In der Voreinstellung wird eine Baumansicht erzeugt, mit der Option --graph jedoch eine Graphviz-Beschreibung.

OPTIONEN

-a, --ascii
    verwendet ASCII-Zeichen für die Formatierung des Baums. In der Voreinstellung verwendet Pactree Unicode-Zeichen zur Darstellung von Linien, sofern erkannt wird, dass die Locale dies unterstützt.

-c, --color
    färbt die Ausgabe ein.

--config <Datei>
    gibt eine alternative Konfigurationsdatei für Pacman an.

-b, --dbpath
    bezeichnet den Ort einer alternativen Datenbank.

--debug
    gibt von libalpm(3) erzeugte Protokollmeldungen aus.

-d, --depth <Zahl>
    begrenzt die Anzahl der darzustellenden Abhängigkeitsebenen. Eine 0 bedeutet, dass nur das benannte Paket angezeigt werden soll, 1 zeigt nur die direkt benötigten Pakete an.

--gpgdir <Verzeichnis>
    gibt ein alternatives GnuPG-Verzeichnis zum Überprüfen von Datenbanksignaturen an (Vorgabe ist /etc/pacman.d/gnupg).

-g, --graph
    erzeugt eine Graphviz-Beschreibung. Wenn diese Option angegeben ist, werden die Optionen --color und --linear ignoriert.

-h, --help
    zeigt die Optionen der Syntax und Befehlszeile an.

-l, --linear
    gibt die Paketnamen an jedem Zeilenanfang aus, einen pro Zeile.

-o, --optional[=TIEFE]
    gibt zusätzlich optionale Abhängigkeiten bis zu einer bestimmten Tiefe aus; Vorgabe ist 1 für unmittelbare optionale Abhängigkeiten. Wenn dies in Verbindung mit -r verwendet wird, wird angezeigt, welche Pakete dafür optional sind. Im Graphviz-Modus werden punktierte Linien erzeugt. Negative Werte bezeichnen eine unbegrenzte Tiefe.

-r, --reverse
    zeigt Pakete an, die von dem genannten Paket abhängen.

-s, --sync
    liest die Paketdaten aus den synchronisierten Datenbanken anstelle der lokalen Datenbank.

-u, --unique
    listet die abhängigen Pakete einmal auf. Dies impliziert --linear.

SIEHE AUCH

pacman(8), pacman.conf(5), makepkg(8)

FEHLER

Fehler? Sie machen wohl Witze, es gibt keine Fehler in dieser Software. Nun ja, sollte unsere Annahme doch falsch sein, hinterlassen Sie einen Fehlerbericht (auf Englisch) mit so vielen Details wie möglich auf https://gitlab.archlinux.org/pacman/pacman-contrib/-/issues/new.

AUTOREN

Derzeitige Betreuer:

    • Johannes Löthberg (johannes@kyriasis.com)

    • Daniel M. Capella (polyzen@archlinux.org)

Informationen zu weiteren Mitwirkenden erhalten Sie, wenn Sie den Befehl git shortlog -s im Repositorium pacman-contrib.git aufrufen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).